> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abs.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# eth_getStorageAt

> Returns the value from a storage position at a given address



## OpenAPI

````yaml /api-reference/openapi.json post /eth_getStorageAt
openapi: 3.0.0
info:
  title: Abstract JSON-RPC API
  description: JSON-RPC API documentation for Abstract blockchain
  version: 1.0.0
servers:
  - url: https://api.mainnet.abs.xyz
    description: Abstract Mainnet
security: []
tags:
  - name: Overview
    description: Overview of the Abstract JSON-RPC API
  - name: Ethereum API
    description: Standard Ethereum JSON-RPC methods
  - name: ZKSync API
    description: ZKSync-specific JSON-RPC methods
paths:
  /eth_getStorageAt:
    post:
      tags:
        - Ethereum API
      summary: eth_getStorageAt
      description: Returns the value from a storage position at a given address
      operationId: eth_getStorageAt
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - jsonrpc
                - method
                - id
                - params
              properties:
                jsonrpc:
                  type: string
                  default: '2.0'
                  description: JSON-RPC version
                method:
                  type: string
                  default: eth_getStorageAt
                  description: The method to call
                params:
                  type: array
                  items: {}
                  description: Address, storage position, and block parameter
                  default:
                    - '0x8fe5810cd78eb8d8b9abad8527dfc1265bee6c56'
                    - '0x0'
                    - latest
                id:
                  type: integer
                  default: 1
                  description: Request identifier
            example:
              jsonrpc: '2.0'
              id: 1
              method: eth_getStorageAt
              params:
                - '0x8fe5810cd78eb8d8b9abad8527dfc1265bee6c56'
                - '0x0'
                - latest
      responses:
        '200':
          description: Returns the storage value at the given position
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                    example: '2.0'
                  id:
                    type: integer
                    example: 1
                  result:
                    type: string
                    description: The value at the storage position
                    example: >-
                      0x0000000000000000000000000000000000000000000000000000000000000000
              example:
                jsonrpc: '2.0'
                id: 1
                result: >-
                  0x0000000000000000000000000000000000000000000000000000000000000000

````